Subject: Re: Senility?

From: [email-masked] (Robert Stor)
Date: 11 Jan 1995 22:14:33 -0500

[email-masked] wrote:
: You sound like a nice grandson.  I gave my mother gingko biloba tablets
: when she was in her 90s and they worked very well in improving her
: memory.  Think the pills might be easier on her system than the tincture.
: margaret

What is the dosage used of gingko biloba? Has it been known to be effective
with alzhheimers? My father has alzheimers and recently his deterioration
seems to have accelerated. Any suggestions?

Thanks,
Ruth 
(using my husbands account)